API reference
Threads
DELETE
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
ok*booleancurl -X DELETE 'https://engine.keko.run/v1/cloud/waiting/string'Example Response
{ "ok": true}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
deviceId*stringLength
1 <= lengthOK
application/json- response
thread*curl -X POST 'https://engine.keko.run/v1/cloud/waiting/string/start' \ -H 'Content-Type: application/json' \ -d '{ "deviceId": "string"}'Example Response
{ "thread": { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true }}GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
threads*array<>curl -X GET 'https://engine.keko.run/v1/threads'Example Response
{ "threads": [ { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true } ]}POST
bearerheader
AuthorizationBearer <token>application/json- body
deviceId*stringDefault
""path?stringproject?insteadOfCloud?booleanfirstMessage*stringDefault
""model*Default
{ "provider": "", "id": ""}title?stringpermissionMode?stringValue in
"ask""auto"baseBranch?stringrequestId?stringallowSecret?booleanOK
application/json- response
thread*curl -X POST 'https://engine.keko.run/v1/threads' \ -H 'Content-Type: application/json' \ -d '{ "deviceId": "", "firstMessage": "", "model": { "provider": "", "id": "" }}'Example Response
{ "thread": { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true }}GET
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
thread*curl -X GET 'https://engine.keko.run/v1/threads/string'Example Response
{ "thread": { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true }}PATCH
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
title?stringarchived?booleanpinned?booleanpermissionMode?stringValue in
"ask""auto"model?OK
application/json- response
thread*curl -X PATCH 'https://engine.keko.run/v1/threads/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "thread": { "id": "string", "title": "string", "projectPath": "string", "worktreePath": "string", "branch": "string", "baseBranch": "string", "device": "string", "model": { "provider": "string", "id": "string" }, "createdAt": 0, "state": "setting-up", "cost": 0, "setup": { "status": "running", "problems": [ "string" ] }, "deviceName": "string", "deviceOnline": true, "machineId": "string", "machineState": "creating", "projectId": "string", "needsYou": true, "question": "string", "statusLine": "string", "waitingForDevice": { "deviceId": "string", "since": 0 }, "waitingForCloud": { "message": "string", "until": 0, "firstMessage": "string", "failed": "string", "starting": true }, "request": { "callId": "string", "title": "string", "command": true, "ask": { "options": [ "string" ] } }, "majorId": "string", "userId": "string", "unread": true }}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
text*stringDefault
""mode?|nullrequestId?stringallowSecret?booleanOK
application/json- response
submissionId*stringcurl -X POST 'https://engine.keko.run/v1/threads/string/messages' \ -H 'Content-Type: application/json' \ -d '{ "text": ""}'Example Response
{ "submissionId": "string"}POST
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
ok*booleancurl -X POST 'https://engine.keko.run/v1/threads/string/stop'Example Response
{ "ok": true}POST
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
ok*booleancurl -X POST 'https://engine.keko.run/v1/threads/string/read'Example Response
{ "ok": true}GET
bearerheader
AuthorizationBearer <token>threadId*stringminEntryId?stringMatch
^\d+$maxEntryId?stringMatch
^\d+$order?stringValue in
"ascending""descending"limit?stringMatch
^\d+$OK
application/json- response
items*array<unknown>next?unknowncurl -X GET 'https://engine.keko.run/v1/threads/string/entries'Example Response
{ "items": [ null ], "next": null}GET
bearerheader
AuthorizationBearer <token>threadId*stringport*stringMatch
^\d+$OK
application/json- response
url*stringcurl -X GET 'https://engine.keko.run/v1/threads/string/preview?port=string'Example Response
{ "url": "string"}GET
Sends pi-durable's conversation view, then each commit's Chord operations. from, min and max pick the window (ConversationTranscript.resume).
bearerheader
AuthorizationBearer <token>threadId*stringfrom?stringmin?stringmax?stringSwitches to a WebSocket
curl -X GET 'https://engine.keko.run/v1/threads/string/watch'Example Response
Empty